## chipsec-1.8.1.tar.gz

=== chipsec_tools/compression/Makefile ===
#CHIPSEC: Platform Security Assessment Framework
#Copyright (c) 2019, Intel Corporation
# 
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; Version 2.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#Contact information:
#chipsec@intel.com
#
#This file incorporates work covered by the following copyright and permission notice

## @file
# Windows makefile for C tools build.
#
# Copyright (c) 2009 - 2018, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#

!INCLUDE Makefiles\ms.common

LIBRARIES = Common
APPLICATIONS = \
  Brotli \
  Lzma \
  Tiano

all: libs apps install

libs: $(LIBRARIES)
	@echo.
	@echo ######################
	@echo # Build libraries
	@echo ######################
	@if not exist $(LIB_PATH) mkdir $(LIB_PATH)
	@python Makefiles\NmakeSubdirs.py all $**

apps: $(APPLICATIONS)
	@echo.
	@echo ######################
	@echo # Build executables
	@echo ######################
	@if not exist $(BIN_PATH) mkdir $(BIN_PATH)
	@python Makefiles\NmakeSubdirs.py all $**

install: $(LIB_PATH) $(BIN_PATH)
	@echo.
	@echo ######################
	@echo # Install to $(SYS_LIB_PATH)
	@echo # Install to $(SYS_BIN_PATH)
	@echo ######################
	@-xcopy $(LIB_PATH)\*.lib $(SYS_LIB_PATH) /I /D /E /F /Y > NUL 2>&1
	@-xcopy $(BIN_PATH)\*.exe $(SYS_BIN_PATH) /I /D /E /F /Y > NUL 2>&1
  @-xcopy $(BIN_PATH)\*.bat $(SYS_BIN_PATH) /I /D /E /F /Y > NUL 2>&1

.PHONY: clean
clean:
  @python Makefiles\NmakeSubdirs.py clean $(LIBRARIES) $(APPLICATIONS)

.PHONY: cleanall
cleanall:
  @python Makefiles\NmakeSubdirs.py cleanall $(LIBRARIES) $(APPLICATIONS)

!INCLUDE Makefiles\ms.rule

=== chipsec_tools/log_parser/requirements.txt ===
Click==7.0
Flask==1.1.1
itsdangerous==1.1.0
Jinja2==2.11.3
lxml>=4.6.5
MarkupSafe==1.1.1
Werkzeug==0.16.0

=== drivers/linux/Makefile ===
DESTDIR	=
MODDIR	= $(DESTDIR)/lib/modules
KVERS	= $(shell uname -r)
KVER	= $(KVERS)
VMODDIR = $(MODDIR)/$(KVER)
KSRC	?= $(VMODDIR)/build

obj-m += chipsec.o
chipsec-objs-y := chipsec_km.o
chipsec-objs-$(CONFIG_X86_32) += i386/cpu.o
chipsec-objs-$(CONFIG_X86_64) += amd64/cpu.o
chipsec-objs := $(chipsec-objs-y)

quiet_cmd_nasm32 = NASM_32 $@
      cmd_nasm32 = nasm -f elf32 -o $@ $<

quiet_cmd_nasm64 = NASM_64 $@
      cmd_nasm64 = nasm -f elf64 -o $@ $<


all: chipsec

check_kernel_dir:
	@if [ ! -d $(KSRC) ]; then \
	    echo "Unable to find the Linux source tree."; \
	    exit 1; \
	fi

chipsec: check_kernel_dir clean
	make -C $(KSRC) M=$(CURDIR) modules

clean: check_kernel_dir
	make -C $(KSRC) M=$(CURDIR) clean

$(obj)/i386/cpu.o: $(src)/i386/cpu.asm
	$(call if_changed,nasm32)

$(obj)/amd64/cpu.o: $(src)/amd64/cpu.asm
	$(call if_changed,nasm64)

=== chipsec_tools/compression/Common/Makefile ===
## @file
#CHIPSEC: Platform Security Assessment Framework
#Copyright (c) 2019, Intel Corporation
# 
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; Version 2.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#Contact information:
#chipsec@intel.com
#
#This file incorporates work covered by the following copyright and permission notice
#
# Windows makefile for 'Common' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
!INCLUDE ..\Makefiles\ms.common

LIBNAME = Common

OBJECTS = \
  CommonLib.obj \
  Decompress.obj \
  EfiCompress.obj \
  EfiUtilityMsgs.obj \
  MemoryFile.obj \
  ParseInf.obj \
  TianoCompress.obj \

!INCLUDE ..\Makefiles\ms.lib

=== debian/control ===
Source: chipsec
Section: python
Priority: optional
Maintainer: CHIPSEC Team <chipsec@intel.com>
Build-Depends: python-setuptools (>= 0.6b3), python (>=3.7), gcc, python-dev, debhelper, dkms
Standards-Version: 3.9.1
Homepage: https://github.com/chipsec/chipsec

Package: chipsec
Architecture: amd64 i386
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: chipsec-dkms
Description: Platform Security Assessment Framework 
 CHIPSEC: Platform Security Assessment Framework

Package: chipsec-dkms
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms, nasm
Description: Platform Security Assessment Framework - module building source
 This package contains source code for the low-level drivers
 for CHIPSEC: Platform Security Assessment Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

PYTHON2_VERSIONS = $(shell pyversions -r)

%:
	dh $@ --with python2 --with dkms

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	#dh_auto_build
	#set -ex; for python in $(PYTHON2_VERSIONS); do \
        #        $$python setup.py build --skip-driver; \
        #done
	python setup.py build --skip-driver;

override_dh_auto_install:
	#dh_auto_install
	#set -ex; for python in $(PYTHON3_VERSIONS); do \
	#	$$python setup.py install --skip-driver --root=$(CURDIR)/debian/$(DEB_SOURCE) --install-layout=deb; \
	#done
	python setup.py install --skip-driver --root=$(CURDIR)/debian/$(DEB_SOURCE) --install-layout=deb;
	install -d debian/$(DEB_SOURCE)-dkms/usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	cp -r drivers/linux/* debian/$(DEB_SOURCE)-dkms/usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)

override_dh_dkms:
	dh_dkms -V
